Kling V3.0 Motion Control
curl --request POST \
--url https://api.novita.ai/v3/async/kling-v3.0-motion-control \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"image": "<string>",
"video": "<string>",
"prompt": "<string>",
"model_name": "<string>",
"negative_prompt": "<string>",
"keep_original_sound": true,
"character_orientation": "<string>"
}
'import requests
url = "https://api.novita.ai/v3/async/kling-v3.0-motion-control"
payload = {
"image": "<string>",
"video": "<string>",
"prompt": "<string>",
"model_name": "<string>",
"negative_prompt": "<string>",
"keep_original_sound": True,
"character_orientation": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
image: '<string>',
video: '<string>',
prompt: '<string>',
model_name: '<string>',
negative_prompt: '<string>',
keep_original_sound: true,
character_orientation: '<string>'
})
};
fetch('https://api.novita.ai/v3/async/kling-v3.0-motion-control', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>"
}Video Generator
Kling V3.0 Motion Control
POST
/
v3
/
async
/
kling-v3.0-motion-control
Kling V3.0 Motion Control
Kling V3.0 Motion Control extracts motion trajectories from reference videos and applies them to reference images to generate videos while maintaining subject consistency. Supports standard and professional modes with per-second billing.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.
Request Headers
string
obrigatório
Supports:
application/jsonstring
obrigatório
Bearer authentication format, for example: Bearer {{API Key}}.
Request Body
string
obrigatório
Reference image URL or base64 encoded image; supports .jpg, .jpeg, .png.
Image file size must not exceed 10MB; width and height must be >= 300px; aspect ratio must be between 1:2.5 and 2.5:1.
string
obrigatório
Reference motion video URL; supports .mp4, .mov.
Video file size must not exceed 10MB; width and height must be >= 300px; duration 3-30 seconds.
string
Positive prompt for scene description, style, lighting; must not exceed 2500 characters.Length limit: 0 - 2500
string
padrão:"kling-v3-0-std"
obrigatório
Model name. kling-v3-0-std: standard mode, cost-effective; kling-v3-0-pro: professional mode, higher video quality.Optional values:
kling-v3-0-std, kling-v3-0-prostring
Negative prompt describing elements to avoid in the generated video; must not exceed 2500 characters.Length limit: 0 - 2500
boolean
padrão:true
Whether to keep the original audio from the reference video.
string
obrigatório
Output frame mode:
- image: uses the reference image’s pose and composition, transfers motion to the image subject (outputs 5 seconds)
- video: uses the reference video’s pose and composition, applies video motion to the image subject (output duration matches reference video, up to 30 seconds)
image, videoResponse
string
obrigatório
Use the task_id to request the Task Result API to retrieve the generated outputs.
Última modificação em 15 de maio de 2026